public class DefaultErrorAttributes extends Object implements ErrorAttributes
ErrorAttributes. Provides the following attributes
when possible:
ObjectErrors from a BindingResult exception (if
configured)ErrorAttributes| Constructor and Description |
|---|
DefaultErrorAttributes()
Create a new
DefaultErrorAttributes instance. |
DefaultErrorAttributes(boolean includeException)
Deprecated.
since 2.3.0 in favor of
ErrorAttributeOptions.including(Include...) |
| Modifier and Type | Method and Description |
|---|---|
Throwable |
getError(ServerRequest request)
Return the underlying cause of the error or
null if the error cannot be
extracted. |
Map<String,Object> |
getErrorAttributes(ServerRequest request,
boolean includeStackTrace)
Deprecated.
|
Map<String,Object> |
getErrorAttributes(ServerRequest request,
ErrorAttributeOptions options)
Return a
Map of the error attributes. |
void |
storeErrorInformation(Throwable error,
ServerWebExchange exchange)
Store the given error information in the current
ServerWebExchange. |
public DefaultErrorAttributes()
DefaultErrorAttributes instance.@Deprecated public DefaultErrorAttributes(boolean includeException)
ErrorAttributeOptions.including(Include...)DefaultErrorAttributes instance.includeException - whether to include the "exception" attributepublic Map<String,Object> getErrorAttributes(ServerRequest request, ErrorAttributeOptions options)
ErrorAttributesMap of the error attributes. The map can be used as the model of
an error page, or returned as a ServerResponse body.getErrorAttributes in interface ErrorAttributesrequest - the source requestoptions - options for error attribute contents@Deprecated public Map<String,Object> getErrorAttributes(ServerRequest request, boolean includeStackTrace)
ErrorAttributesMap of the error attributes. The map can be used as the model of
an error page, or returned as a ServerResponse body.getErrorAttributes in interface ErrorAttributesrequest - the source requestincludeStackTrace - if stack trace attribute should be includedpublic Throwable getError(ServerRequest request)
ErrorAttributesnull if the error cannot be
extracted.getError in interface ErrorAttributesrequest - the source ServerRequestException that caused the error or nullpublic void storeErrorInformation(Throwable error, ServerWebExchange exchange)
ErrorAttributesServerWebExchange.storeErrorInformation in interface ErrorAttributeserror - the Exception that caused the errorexchange - the source exchange